Skip to main content
PUT
/
api
/
v1
/
group_disconnection_requests
/
{group_disconnection_request_id}
/
{version}
Edit an existing Group Disconnection Request
curl --request PUT \
  --url https://fulfillment.noyo.com/api/v1/group_disconnection_requests/{group_disconnection_request_id}/{version} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "effective_end_date": "2025-01-01",
  "status": "processing"
}
'
import requests

url = "https://fulfillment.noyo.com/api/v1/group_disconnection_requests/{group_disconnection_request_id}/{version}"

payload = {
"effective_end_date": "2025-01-01",
"status": "processing"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({effective_end_date: '2025-01-01', status: 'processing'})
};

fetch('https://fulfillment.noyo.com/api/v1/group_disconnection_requests/{group_disconnection_request_id}/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "carrier_id": "5200a894-81c5-4c41-8519-86c32e9a9965",
  "completed": null,
  "created": 1557329939,
  "decided": 1557329939,
  "group_id": "f833ac4b-36aa-46f4-826c-0badcfe27922",
  "group_name": "Widgets R Us",
  "id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
  "modified": 1557329939,
  "organization_id": "ca72d1e1-56a6-46ac-b400-a91e1f6b893a",
  "source_id": null,
  "source_type": "platform",
  "status": "processing",
  "version": "5200a894-81c5-4c41-8519-86c32e9a9965"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group_disconnection_request_id
string<uuid>
required

The unique identifier of the group disconnection request you want to update

version
string<uuid>
required

The unique version of the group disconnection request you want to edit.

Body

application/json
status
enum<string>
required

The status of the disconnection request

Available options:
processing,
rejected
context
string

Context on why the request was rejected

effective_end_date
string<date>

The date at which the disconnection will take effect - required if not already set

reason
enum<string>

The reason for the GDR status change/creation

Available options:
connection_restored,
eligibility_restored,
other,
payment_reinstated

Response

200 - application/json

Successful Response - Returns the new GroupDisconnectionRequest

carrier_id
string<uuid>
required
read-only

Unique identifier for the carrier to be disconnected from

created
integer
required

The date the record was created

group_name
string
required
read-only

Name of the group to be disconnected from

id
string<uuid>
required

Unique identifier of the record in Noyo

modified
integer
required

The date the record was last updated

organization_id
string<uuid>
required
read-only

Unique identifier for organization associated with the request

source_id
string<uuid>
required
read-only

If applicable, the ID associated with the source of the disconnection request

source_type
string
required
read-only

The source of the disconnection request

status
string
required
read-only

The status of the disconnection request

version
string<uuid>
required

Current version of the record

completed
integer
read-only

Timestamp at which the disconnection was completed

decided
integer
read-only

Timestamp at which the platform recorded a decision on the disconnection

effective_end_date
string<date>
read-only

The date at which the disconnection will take effect

group_id
string<uuid>
read-only

Unique identifier for the group to be disconnected. May be missing if group has already been disconnected.

source_date
string<date>
read-only

The date associated with the source of the disconnection